Page MenuHomePhabricator

[Regression pre-wmf.23] On mobile VE, clicking on close button blanks the page and doesn't navigate to readmode
Closed, ResolvedPublic

Description

Steps to replicate:

  1. Open mobile VE for any page
  2. Type something or just leave the editor by clicking on the cross button on the left

It blanks out the entire page and does not navigate to read mode.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2019, 11:57 PM

Change 498523 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] ve.init.mw.MobileArticleTarget: Restore missing methods

https://gerrit.wikimedia.org/r/498523

matmarex moved this task from To Triage to Current work on the VisualEditor board.Mar 23 2019, 3:39 AM
matmarex edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 498523 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.init.mw.MobileArticleTarget: Restore missing methods

https://gerrit.wikimedia.org/r/498523

Esanders moved this task from Inbox to High Priority on the Editing QA board.
ppelberg closed this task as Resolved.Apr 16 2019, 7:09 PM
ppelberg claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 16 2019, 7:09 PM